\documentclass{article}
\usepackage{../computingfonts}

% Credit: based on those from 
%  Great Ideas in Theoretical Computer Science,
%  Anil Ada and Bernhard Haeupler
\begin{document}\thispagestyle{empty}
\begin{center}
\large\bf Learning Objectives for \\[0.5ex]
  \textit{Theory of Computation} by Hef{}feron 
\end{center}

\vspace{1.5ex}
This is an introduction to the 
mathematical and logical foundations of computing.
It is suitable for  
upper level undergraduates in Computer Science
or Mathematics, and closely connected fields.
It forms part of a professional preparation for a career as a computing 
practictioner or for graduate school.

The text suits a course with these goals for students.
\begin{itemize}
\item
Define a precise mathematical model of computation 
and be able to state and justify the assumptions 
behind that model.
\item
Prove that there exist unsolvable problems and be able to discuss 
broader intellectual implications of this discovery. 
\item
Understand what can be done and what cannot be done
with computational models of limited power that occur often in practice.
\item
Express, analyze, and compare the computability and computational 
complexity of problems.
\item
Understand recent advances in the field.
State and explain important open problems.
\item
Use mathematical tools from areas such as set theory, elementary logic, combinatorics, graph theory, and number theory in the study of computability, computational complexity, and some of the applications of computational concepts.
\item
Write clearly presented proofs that meet rigorous standards of correctness and use conventional style.
Identify and critique proofs that are logically flawed or do not meet the standards of clarity.
\end{itemize}

\vfill
% \vspace{2ex plus 1fill}
\begin{flushright}
\parbox{.65\textwidth}{\small Based on objectives from
    \textit{Great Ideas in Theoretical Computer Science}
    by Ada and Haeupler}
\end{flushright}
\end{document}